Subject: bug#32466: Wine not building on intel 64bits.

From: Björn Höfling <[email-masked]>
Date: Fri, 17 Aug 2018 18:49:06 +0200

Hi Pjotr,

On Fri, 17 Aug 2018 14:41:24 +0200
Pjotr Prins <[email-masked]> wrote:

> Recent versions of wine and wine-staging in Guix are not building
> after guix pull. I rolled back a month, but even that is a problem on
> my 2017 Debian box.  I can't check the build farm to see if it is
> working there.
> 
>   ~/.config/guix/current/bin/guix package ~-i wine-staging
> 
> FAIL: elements/opus
> ===================
> 
> Running suite(s): opus
> 33%: Checks: 6, Failures: 0, Errors: 4
> gstcheck.c:596:E:general:test_opus_encode_nothing:0: (after this
> point) Received signal 11 (Segmentation fault)
> gstcheck.c:596:E:general:test_opus_encode_samples:0: (after this
> point) Received signal 11 (Segmentation fault)
> gstcheck.c:596:E:general:test_opus_encode_properties:0: (after this
> point) Received signal 11 (Segmentation fault)
> elements/opus.c:429:E:general:test_opus_decode_plc_timestamps_with_fec:0:
> (after this point) Received signal 11 (Segmentation fault) Check
> suite opus ran in 0.030s (tests failed: 4) FAIL elements/opus (exit
> status: 4)
> 
> 
> Backtrace: 
>            4 (primitive-load
> "/gnu/store/ki3kvmzipvf8baabfyaw1ncf4ax�") In ice-9/eval.scm:
>    191:35  3 (_ _)
> In srfi/srfi-1.scm:
>     640:9  2 (for-each #<procedure 81b4ae0 at /gnu/store/cgnrsi20mw�>
> �)
> In /gnu/store/cgnrsi20mwcm1s3z9ab8qw125m73l4qd-module-import/guix/build/gnu-build-system.scm:
> 799:31  1 (_ _) 369:6  0 (check #:target _ #:make-flags _ #:tests? _
> # _ # _ # _)
> 
> /gnu/store/cgnrsi20mwcm1s3z9ab8qw125m73l4qd-module-import/guix/build/gnu-build-system.scm:369:6:
> In procedure check: Throw to key `srfi-34' with args `(#<condition
> &invoke-error [program: "make" arguments: ("check") exit-status: 2
> term-signal: #f stop-signal: #f] 80a8ee0>)'. note: keeping build
> directory `/tmp/guix-build-gst-plugins-base-1.14.1.drv-1' builder for
> `/gnu/store/0lzpcgpwssrw3n2kfqcr3qrx2h13ygcy-gst-plugins-base-1.14.1.drv'
> failed with exit code 1 note: keeping build directory
> `/tmp/guix-build-samba-4.8.4.drv-1' cannot build derivation
> `/gnu/store/b8pngas13rjxznfc0wcpicp82zwbpj8n-wine-staging-3.13.drv':
> 1 dependencies couldn't be built cannot build derivation
> `/gnu/store/vhq2c33f67qjm4037y2nb7ix9sb3map0-profile.drv': 1
> dependencies couldn't be built guix package: error: build failed:
> build of `/gnu/store/vhq2c33f67qjm4037y2nb7ix9sb3map0-profile.drv'
> failed

This failure is not directly in wine, but in gst-plugins-base.

Strangely, gst-plugins-base built directly has no problems. Only as a
dependency it somehow builds a different derivation and then the test
fails.

I have discussed it here already:

#32360

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32360

Can you merge the two bugs?
Can you help with that problem?

Thanks,

Björn